Skip to content

LLM 提及域名排行 Lite(实时)

POST /v3/ai_optimization/llm_mentions/top_mentioned_domains_lite/live

本接口使用 POST 方法,路径为:

/v3/ai_optimization/llm_mentions/top_mentioned_domains_lite/live

实时获取指定目标实体在大语言模型回答中被提及最多的域名,并返回聚合后的 LLM 提及指标。与完整的 Top Mentioned Domains 接口相比,本接口返回更精简的域名排行数据。

查询结果由以下条件决定:

  • 平台:google(Google AI Overview)或 chat_gpt(ChatGPT)
  • 搜索地点
  • 搜索语言
  • 目标域名或
  • 链接来源范围及过滤条件

请求使用 UTF-8 编码的 JSON 格式。每次调用最多提交 1 个任务,单个任务最多 10 个目标实体。本接口的任务执行时间最长约为 120 秒。

请求地址

text
POST https://api.seermartech.cn/v3/ai_optimization/llm_mentions/top_mentioned_domains_lite/live

计费说明

本接口的扣费以响应头 X-SeerMarTech-Charge-CNY 为准。

请求参数

顶层参数

参数类型说明
targetarray目标实体数组,最多 10 个对象。每个对象只能一个 domain 或一个 keyword。请求至少需要一个 search_filterinclude 的域名实体或实体。
location_namestring搜索地点名。指定后无需指定 location_code。未指定时默认使用地点代码 2840
location_codeinteger搜索地点代码。指定后无需指定 location_name。默认值为 2840
language_namestring搜索语言名。指定后无需指定 language_code。未指定时默认使用 en
language_codestring搜索语言代码。指定后无需指定 language_name。默认值为 en
platformstring目标平台,可选值:chat_gptgoogle。未指定时返回两个平台的数据。
links_scopestring用于提取域名并聚合数据的链接范围。可选值:sourcessearch_results。默认值为 sources
filtersarray聚合完成后应用于结果的过滤条件,最多 8 个。
initial_dataset_filtersarray聚合前应用于原始提及数据的过滤条件,最多 8 个。
limitintegeritems 数组最多返回的结果数,范围 1-1000,默认值为 100
internal_list_limitinteger限制数组的最大数量,范围 1-10,默认值为 5。适用于 sources_domainsearch_results_domainbrand_entities_titlebrand_entities_category
order_byarray结果排序规则,最多设置 3 条。
offsetinteger结果偏移量,默认值为 0,最大值为 1000000
include_domainsarray在响应中返回指定域名。
exclude_domainsarray从响应中排除指定域名。
tagstring用户自定义任务标识,最长 255 个字符。该值会原样返回在响应的 data 对象中。

target

target 是目标实体数组,最多可 10 个对象。每个对象可使用以下两种结构之一:

json
[
  {
    "domain": "example.com",
    "search_filter": "include",
    "search_scope": ["any"],
    "include_subdomains": false
  },
  {
    "keyword": "新能源汽车",
    "search_filter": "include",
    "search_scope": ["answer"],
    "match_type": "word_match"
  }
]

请求至少需要一个 domainkeyword 对象,并且该对象的 search_filter须为 include

domain_entity

域名实体对象支持以下参数:

参数类型说明
domainstring是(未指定 keyword 时)目标域名,最长 63 个字符。填写时不要 https://www.
search_filterstring域名筛选方式:includeexclude。默认值为 include
search_scopearray域名搜索范围:anysourcessearch_results。默认值为 any
include_subdomainsboolean是否将目标域名的子域名纳搜索。默认值为 false

示例:

json
{
  "domain": "example.com",
  "search_filter": "exclude",
  "search_scope": ["any"],
  "include_subdomains": true
}

search_scope 设置为 search_resultschat_gpt 平台提供相应数据。

keyword_entity

实体对象支持以下参数:

参数类型说明
keywordstring是(未指定 domain 时)目标,最长 250 个字符。
search_filterstring筛选方式:includeexclude。默认值为 include
search_scopearray搜索范围:anyquestionanswerbrand_entitiesfan_out_queries。默认值为 any
match_typestring匹类型:word_matchpartial_match。默认值为 word_match

match_type 说明:

  • word_match:搜索与种子匹的完整文本,可前后或短语的词。
  • partial_match:匹中出现的或片段。

示例:

json
{
  "keyword": "新能源汽车",
  "search_filter": "include",
  "search_scope": ["question", "answer"],
  "match_type": "partial_match"
}

地点与语言参数

可通过 /v3/ai_optimization/llm_mentions/locations_and_languages 获取可用的地点和语言列表。

参数类型默认值说明
location_namestring-地点名。
location_codeinteger2840地点代码。
language_namestring-语言名。
language_codestringen语言代码。

限制:

  • chat_gpt 支持 United States,对应地点代码为 2840
  • chat_gpt 支持 English,对应语言代码为 en

platform

说明
googleGoogle AI Overview
chat_gptChatGPT

未指定 platform 时,接口返回两个平台的数据。

指定用于提取域名和执行聚合的链接范围:

  • sources:使用来源链接,默认值。
  • search_results:使用搜索结果链接。

当设置为 search_resultschat_gpt 平台提供相应数据。

filters

filters 用于对聚合后的结果进行筛选,最多支持 8 个过滤条件。多个条件之间需要使用逻辑运算符 andor

支持的运算符:

text
=、<>、in、not_in、like、not_like、ilike、not_ilike、match、not_match

likenot_like 支持使用 % 匹零个或多个字符。

示例:

json
[
  ["domain", "like", "%example%"],
  "and",
  ["mentions", ">", 10]
]

initial_dataset_filters

initial_dataset_filters 会在聚合前应用于原始 LLM 提及数据,用于限制参与聚合的记录。最多支持 8 个条件,语法和运算符与 filters 相同。

示例:

json
[
  ["ai_search_volume", ">", 10]
]

order_by

用于设置结果排序。排序字段可使用与 filters 相同的字段,并通过 ascdesc 指定升序或降序。

示例:

json
[
  "metrics.mentions,desc",
  "metrics.ai_search_volume,desc"
]

单次请求最多设置 3 条排序规则,多条规则使用逗号分隔。

include_domainsexclude_domains

返回指定域名:

json
{
  "include_domains": ["example.com", "sample.org"]
}

排除指定域名:

json
{
  "exclude_domains": ["spam.example"]
}

请求示例

curl

bash
curl --location --request POST \
  "https://api.seermartech.cn/v3/ai_optimization/llm_mentions/top_mentioned_domains_lite/live" \
  --header "Authorization: Bearer smt_live_YOUR_KEY" \
  --header "Content-Type: application/json" \
  --data-raw '[
    {
      "language_code": "en",
      "location_code": 2840,
      "platform": "chat_gpt",
      "target": [
        {
          "keyword": "bmw",
          "search_scope": ["answer"]
        },
        {
          "keyword": "auto",
          "search_scope": ["question"],
          "match_type": "partial_match"
        }
      ],
      "links_scope": "sources",
      "initial_dataset_filters": [
        ["ai_search_volume", ">", 10]
      ],
      "limit": 5,
      "internal_list_limit": 2
    }
  ]'

Python

python
import requests

url = "https://api.seermartech.cn/v3/ai_optimization/llm_mentions/top_mentioned_domains_lite/live"

payload = [
    {
        "language_code": "en",
        "location_code": 2840,
        "platform": "chat_gpt",
        "target": [
            {
                "keyword": "bmw",
                "search_scope": ["answer"]
            },
            {
                "keyword": "auto",
                "search_scope": ["question"],
                "match_type": "partial_match"
            }
        ],
        "links_scope": "sources",
        "initial_dataset_filters": [
            ["ai_search_volume", ">", 10]
        ],
        "limit": 5,
        "internal_list_limit": 2
    }
]

headers = {
    "Authorization": "Bearer smt_live_YOUR_KEY",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, timeout=130)
response.raise_for_status()

result = response.json()
print(result)

TypeScript

typescript
import axios from "axios";

const response = await axios.post(
  "https://api.seermartech.cn/v3/ai_optimization/llm_mentions/top_mentioned_domains_lite/live",
  [
    {
      language_code: "en",
      location_code: 2840,
      platform: "chat_gpt",
      target: [
        {
          keyword: "bmw",
          search_scope: ["answer"]
        },
        {
          keyword: "auto",
          search_scope: ["question"],
          match_type: "partial_match"
        }
      ],
      links_scope: "sources",
      initial_dataset_filters: [
        ["ai_search_volume", ">", 10]
      ],
      limit: 5,
      internal_list_limit: 2
    }
  ],
  {
    headers: {
      Authorization: "Bearer smt_live_YOUR_KEY",
      "Content-Type": "application/json"
    },
    timeout: 130000
  }
);

console.log(response.data);

响应结构

接口返回 JSON 数据,顶层 tasks 数组。

json
{
  "version": "0.1.20260610",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.3279 sec.",
  "cost": 0.101,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.3010 sec.",
      "cost": 0.101,
      "result_count": 1,
      "path": [
        "v3",
        "ai_optimization",
        "llm_mentions",
        "top_mentioned_domains_lite",
        "live"
      ],
      "data": {
        "api": "ai_optimization",
        "function": "top_mentioned_domains_lite",
        "target": [
          {
            "keyword": "bmw",
            "search_filter": "include"
          }
        ],
        "platform": "chat_gpt",
        "language_code": "en",
        "location_code": 2840,
        "order_by": [
          "metrics.mentions,desc"
        ],
        "limit": 5,
        "offset": 0,
        "links_scope": "sources",
        "include_domains": [],
        "exclude_domains": []
      },
      "result": [
        {
          "total_count": 2,
          "offset": 0,
          "items_count": 2,
          "aggregated_metrics": null,
          "items": [
            {
              "domain": "example.com",
              "location": 2840,
              "language": "en",
              "platform": "chat_gpt",
              "metrics": {
                "mentions": 25,
                "ai_search_volume": 120
              }
            }
          ]
        }
      ]
    }
  ]
}

响应字段

顶层字段

字段类型说明
versionstring当前 API 版本。
status_codeinteger请求总体状态码。
status_messagestring请求总体状态信息。
timestring请求执行时间,单位为秒。
costfloat平台原始 USD 成本兼容字段;人民币实扣以 X-SeerMarTech-Charge-CNY 为准。
tasks_countintegertasks 数组中的任务总数。
tasks_errorintegertasks 数组中执行失败的任务数。
tasksarray任务结果数组。

tasks 字段

字段类型说明
idstring任务唯一标识,UUID 格式。
status_codeinteger任务状态码,通常位于 10000-60000 范围。
status_messagestring任务状态信息。
timestring任务执行时间,单位为秒。
costfloat平台原始 USD 成本兼容字段;人民币实扣以 X-SeerMarTech-Charge-CNY 为准。
result_countintegerresult 数组中的数量。
patharray当前请求的 API 路径。
dataobject本次 POST 请求中提交的任务参数。
resultarray结果数组。

result 字段

字段类型说明
total_countinteger符合条件的结果总数。
offsetinteger当前结果的偏移量,与请求中的 offset 对应。
items_countintegeritems 数组中的数量。
aggregated_metricsobject / null所有域名的整体聚合指标。Lite 接口中该字段为 null
itemsarray域名提及数据数组。

items 字段

字段类型说明
domainstring域名名称。
locationinteger聚合指标对应的地点标识。
languagestring聚合指标对应的语言标识。
platformstringLLM 平台标识。
metricsobject按指定维度聚合后的 LLM 指标。

metrics 字段

字段类型说明
mentionsintegerLLM 提及总次数,即目标或域名在回答中被提及的次数。
ai_search_volumeinteger当前的 AI 搜索量指标。

状态码与错误处理

请根据响应中的 status_codestatus_message 判断请求是否成功:

  • 20000:请求成功。
  • 状态码:表示请求或任务执行异常,应结合 status_message 进行处理。

建议在业务系统中处理以下:

  • HTTP 请求时,是 120 秒未返回时。
  • 顶层 status_code 成功但部分任务失败,即 tasks_error 大于 0
  • 单个任务的 status_code 不为 20000
  • result 为空或目标平台、地点、语言组合不受支持。

实用场景

  • 统计品牌在 ChatGPT 或 Google AI Overview 中的提及频次,识别品牌在生成式搜索中的水平。
  • 对比竞争域名的 LLM 提及排名,定位竞争对手在 AI 搜索结果中的优势。
  • 按筛选被 AI 回答引用的高频域名,为外链建设、媒体投放和合作提供名单。
  • 使用 initial_dataset_filters 排除低 AI 搜索量数据,聚焦更商业价值的生成式搜索机会。
  • 结合 include_domainsexclude_domains 和排序规则生成定制化监测报表,持续跟踪品牌在 AI 搜索中的可见性变化。

统一入口:官网 · LLM API · 控制台